Table of Contents

## Name

im_video_v4l1 - various image grabbers

## Synopsis

#include <vips/vips.h>

int im_video_v4l1( IMAGE *im, const char *device, int channel, int brightness, int colour, int contrast, int hue, int ngrabs )

## Description

These functions grab single video frames from various devices. Which of these functions work depends upon how your VIPS has been configured and compiled, and your platform. As a result, they are far from portable ... you want a layer on top of these functions.

im_video_v4l1(3) grabs a frame using Video4Linux. It grabs a 24-bit RGB colour image, at the maximum resolution your card allows.

device should typically be "/dev/video". channel selects the channel to acquire: usually 0 is TV, and 1 is composite video. brightness, colour, contrast and hue set grab parameters. Each should be in the range (0 - 32768). 32768 is usually the value you want. ngrabs sets the number of frames the card should average. Higher values are slower, but typically less noisy (and slightly softer).

## Return Value

All functions return 0 on success and -1 on error.

Table of Contents

- Name
- Synopsis
- Description
- Return Value